"""Migration file"""  # pylint: disable=invalid-name
# Generated by Django 4.2.13 on 2024-06-07 09:49

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    """Migration class"""
    dependencies = [
        ('netbox_rps_plugin', '0019_remove_hstsprotocol_tags_count'),
    ]

    operations = [
        migrations.AlterField(
            model_name='mapping',
            name='proxy_buffer',
            field=models.IntegerField(blank=True, default=16, null=True, validators=[django.core.validators.MinValueValidator(16), django.core.validators.MaxValueValidator(512)]),
        ),
        migrations.AlterField(
            model_name='mapping',
            name='proxy_buffer_size',
            field=models.IntegerField(blank=True, default=4, null=True, validators=[django.core.validators.MinValueValidator(4), django.core.validators.MaxValueValidator(128)]),
        ),
        migrations.AlterField(
            model_name='mapping',
            name='proxy_busy_buffer',
            field=models.IntegerField(blank=True, default=8, null=True, validators=[django.core.validators.MinValueValidator(8), django.core.validators.MaxValueValidator(256)]),
        ),
    ]
